%define upstream_name	 PPI
%define upstream_version 1.283

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse, Analyze and Manipulate Perl without perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Inspector) >= 1.220.0
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Digest::MD5) >= 2.350.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.840.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 2.170.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Object) >= 0.70.0
BuildRequires: perl(Test::SubCalls) >= 1.70.0
BuildRequires: perl(YAML::PP)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PPI is a Perl document parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
find lib -name '*.pm' | xargs chmod 644

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PPI
%{perl_vendorlib}/PPI.pm
%{_mandir}/*/*

%changelog
* Thu May 08 2025 tv <tv> 1.283.0-1.mga10
+ Revision: 2181974
- update to 1.283

* Fri Jan 24 2025 tv <tv> 1.281.0-1.mga10
+ Revision: 2141573
- BR perl(YAML::PP)
- BR perl(Safe::Isa)
- update to 1.281

* Sat Aug 24 2024 tv <tv> 1.279.0-1.mga10
+ Revision: 2090889
- update to 1.279

* Tue Mar 26 2024 tv <tv> 1.278.0-1.mga10
+ Revision: 2052369
- update to 1.278

* Sat Sep 23 2023 tv <tv> 1.277.0-1.mga10
+ Revision: 1989748
- update to 1.277

* Thu Jul 21 2022 tv <tv> 1.276.0-1.mga9
+ Revision: 1869744
- update to 1.276

* Thu May 05 2022 tv <tv> 1.274.0-1.mga9
+ Revision: 1856239
- update to 1.274

* Mon Apr 25 2022 tv <tv> 1.273.0-1.mga9
+ Revision: 1853123
- update to 1.273

* Mon Mar 21 2022 umeabot <umeabot> 1.272.0-2.mga9
+ Revision: 1816061
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 tv <tv> 1.272.0-1.mga9
+ Revision: 1771581
- update to 1.272

* Fri Jan 28 2022 tv <tv> 1.271.0-1.mga9
+ Revision: 1770087
- update to 1.271

* Sat Feb 15 2020 umeabot <umeabot> 1.270.0-2.mga8
+ Revision: 1527198
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 10 2019 tv <tv> 1.270.0-1.mga8
+ Revision: 1419874
- update to 1.270

* Sat Jun 29 2019 shlomif <shlomif> 1.269.0-1.mga8
+ Revision: 1415618
- update to 1.269

* Thu Sep 20 2018 umeabot <umeabot> 1.236.0-2.mga7
+ Revision: 1285471
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.236.0-1.mga7
+ Revision: 1128863
- update to 1.236

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-3.mga6
+ Revision: 1032678
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.220.0-2.mga6
+ Revision: 966685
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.220.0-1.mga6
+ Revision: 846569
- update to 1.220

* Sun Oct 19 2014 umeabot <umeabot> 1.218.0-4.mga5
+ Revision: 790038
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.218.0-3.mga5
+ Revision: 749140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.218.0-2.mga5
+ Revision: 685840
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.218.0-1.mga5
+ Revision: 664573
- update to 1.218

* Fri Oct 18 2013 umeabot <umeabot> 1.215.0-3.mga4
+ Revision: 513841
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.215.0-2.mga3
+ Revision: 371329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.215.0-1.mga1
+ Revision: 60791
- update to 1.215

* Sat Jan 22 2011 jquelin <jquelin> 1.213.0-1.mga1
+ Revision: 32291
- mageia rebuild
- imported package perl-PPI

